[Unit]
Description=Open Autoware AD Kit Planning Service
Wants=network-online.target
After=network-online.target
RequiresMountsFor=%t/containers

[Service]
TimeoutStopSec=70
Restart=always
ExecStart=/usr/bin/podman play kube --replace --service-container=true /etc/adkit/podman/adkit-planning.yaml
ExecStop=/usr/bin/podman play kube --down /etc/adkit/podman/adkit-planning.yaml
Type=notify
NotifyAccess=all

[Install]
WantedBy=default.target
